Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InternalLinkType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InternalLinkType

Direct Known Subclasses:
  `TdApi.InternalLinkTypeActiveSessions`, `TdApi.InternalLinkTypeAuthenticationCode`, `TdApi.InternalLinkTypeBackground`, `TdApi.InternalLinkTypeBotStart`, `TdApi.InternalLinkTypeBotStartInGroup`, `TdApi.InternalLinkTypeChangePhoneNumber`, `TdApi.InternalLinkTypeChatInvite`, `TdApi.InternalLinkTypeFilterSettings`, `TdApi.InternalLinkTypeGame`, `TdApi.InternalLinkTypeLanguagePack`, `TdApi.InternalLinkTypeMessage`, `TdApi.InternalLinkTypeMessageDraft`, `TdApi.InternalLinkTypePassportDataRequest`, `TdApi.InternalLinkTypePhoneNumberConfirmation`, `TdApi.InternalLinkTypeProxy`, `TdApi.InternalLinkTypePublicChat`, `TdApi.InternalLinkTypeQrCodeAuthentication`, `TdApi.InternalLinkTypeSettings`, `TdApi.InternalLinkTypeStickerSet`, `TdApi.InternalLinkTypeTheme`, `TdApi.InternalLinkTypeThemeSettings`, `TdApi.InternalLinkTypeUnknownDeepLink`, `TdApi.InternalLinkTypeUnsupportedProxy`, `TdApi.InternalLinkTypeVideoChat`

Enclosing class:
  TdApi

public abstract static class TdApi.InternalLinkType extends TdApi.Object
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`InternalLinkType()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InternalLinkType

public InternalLinkType()